@import url('https://fonts.googleapis.com/css2?family=Luxurious+Roman&family=Roboto+Slab:wght@300&family=Spline+Sans&display=swap');
* {
    padding: 0;
    margin: 0;
    transition: .2s linear;
}

a {
    text-decoration: none;
}

.btn {
    padding: 2px 20px;
    font-weight: bold;
    font-family: 'Times New Roman', Times, serif;
    font-size: 18px;
    color: rgb(255, 66, 66);
    background: black;
    background: transparent;
    border-radius: 50px;
    border: 2px black solid;
    cursor: pointer;
}

.btn:hover {
    color: black;
    background: rgb(236, 142, 20);
}

nav {
    position: absolute;
    top: 0;
    width: 100%;
    background: transparent;
    z-index: 1000;
}

nav .navbar {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    width: 100%;
}

nav .navbar .box-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    width: 90%;
}

nav .navbar .morequeries {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

nav .navbar .morequeries a {
    color: black;
    font-size: 18px;
    padding: 5px;
    margin: 0 5px;
}

nav .navbar .morequeries i:hover {
    color: rgb(255, 66, 66);
}

nav .navbar .logo-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

nav .navbar .companyname {
    display: flex;
    align-items: center;
}

nav .navbar .companyname p {
    font-size: 20px;
    font-weight: bolder;
    text-align: center;
    margin-top: 6px;
    color: rgb(255, 66, 66);
}

nav .navbar .menu {
    display: flex;
    justify-content: end;
    align-items: center;
}

nav .navbar .menu li {
    justify-content: end;
    list-style: none;
    padding: 10px;
}

nav .navbar .menu li a {
    color: black;
    font-size: 18px;
    font-weight: bold;
    border-bottom: 2px solid transparent;
}

nav .navbar .menu li a:hover {
    border-bottom: 2px solid rgb(236, 142, 20);
}

.menu-btn {
    display: none;
}

.cancel-btn {
    display: none;
}

nav .navbar .menu li .sublinks {
    color: black;
    font-weight: bold;
    z-index: 100;
}

.sub-link {
    position: fixed;
    display: none;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 10px 0 0 -63.5px;
    background: radial-gradient(#fff, #fffec3);
    border-radius: 10px 10px 10px 10px;
}

nav .navbar .menu li:hover .sub-link {
    display: flex;
}

.sub-link .sub-cont1 {
    border: none;
    font-size: 18px;
    padding: 3px 21px;
    margin: 5px;
    background: radial-gradient(#fff, #fffec3);
    font-weight: bold;
    color: black;
    cursor: pointer;
    font-family: 'Times New Roman';
    z-index: 100;
}

.sub-link .sub-cont1 span {
    opacity: 0;
}

.sub-link .sub-cont1:hover span {
    opacity: 1;
}

.sub-link .sub-link1 {
    position: fixed;
    justify-content: center;
    padding: 5px;
    align-items: center;
    flex-direction: column;
    background: radial-gradient(#fff, #fffec3);
    margin: -30px 0 0 -225px;
    border-radius: 10px 10px 10px 10px;
    display: none;
    z-index: 100;
}

nav .navbar .menu li .sub-link .sub-cont1:hover .sub-link1 {
    display: flex;
}

.sub-link .sub-link1 a {
    padding: 4px 0px;
    margin: 3px 15px;
    z-index: 100;
}

.sub-link .sub-link1 a:hover {
    border-bottom: 2px solid rgb(236, 142, 20);
}

.sub-link .sub-cont2 {
    padding: 3px 32px;
    margin: 8px;
    border: none;
    font-size: 18px;
    background: radial-gradient(#fff, #fffec3);
    font-weight: bold;
    color: black;
    cursor: pointer;
    font-family: 'Times New Roman';
    z-index: 100;
}

.sub-link .sub-cont2 span {
    opacity: 0;
}

.sub-link .sub-cont2:hover span {
    opacity: 1;
}

.sub-link .sub-cont2 .sub-link2 {
    position: fixed;
    justify-content: center;
    padding: 5px;
    align-items: center;
    flex-direction: column;
    border-radius: 10px 10px 10px 10px;
    margin: -71px 0 0 -215px;
    display: none;
    background: radial-gradient(#fff, #fffec3);
    z-index: 100;
}

nav .navbar .menu li .sub-link .sub-cont2:hover .sub-link2 {
    display: flex;
}

.sub-link .sub-cont2 .sub-link2 a {
    padding: 4px 0px;
    color: black;
    z-index: 100;
    margin: 3px 19px;
}

.sub-link .sub-cont2 .sub-link2 a:hover {
    border-bottom: 2px solid rgb(236, 142, 20);
}

.home {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}

.home a {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.home img {
    width: 100%;
    height: 100%;
}

.home-about {
    display: grid;
    grid-template-columns: 50% 50%;
    padding: 30px 0;
    margin: 20px 0;
}

.home-about .img-container {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.home-about .img-container img {
    width: 350px;
    height: 350px;
    border-radius: 50px;
}

.home-about .details {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 20px;
}

.home-about .details h2 {
    font-weight: bold;
    text-align: center;
}

.home-about .details span {
    padding: 0px 60px;
    border-top: 5px solid rgb(255, 66, 66);
    border-radius: 10px;
    margin-bottom: 15px;
}

.home-about .details p {
    text-align: justify;
    font-size: 20px;
    max-width: 600px;
}

.containers {
    display: grid;
    grid-template-columns: 75% 25%;
}

.containers .boxes {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.containers .boxes .feature {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 85%;
}

.containers .boxes .feature h2 {
    justify-content: center;
    padding: 10px;
    font-size: 34px;
}

.containers .boxes .box-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.containers .boxes .feature .box-container h3 {
    padding: 10px;
}

.containers .boxes .feature .box-container p {
    font-size: 18px;
    padding: 0 10px 15px 10px;
}

.containers .box {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 90%;
    border: 2px solid rgba(0, 0, 0, 0.315);
    border-radius: 35px;
}

.containers .boxes1 {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: rgba(0, 0, 0, 0.315);
    width: 98%;
    height: 99%;
    border-radius: 30px;
}

.containers .boxes1 h3 {
    padding: 10px 0;
}

.containers .boxes1 .box-container {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.containers .boxes1 .box-container a {
    padding: 7px;
    font-size: 18px;
    color: rgb(0, 0, 255);
}

.containers .boxes1 .box-container a:hover {
    transform: translatex(10px);
}

.work {
    padding: 90px 0px 10px 0px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.work .title {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.work .title h1 {
    text-align: center;
    color: black;
    margin-bottom: 5px;
}

.work .title span {
    padding: 0px 60px;
    border-top: 5px solid rgb(255, 66, 66);
    border-radius: 10px;
}

.work .box-container {
    display: flex;
    flex-wrap: wrap;
    max-width: 1000px;
    justify-content: center;
    align-items: center;
}

.work .box-container .box {
    display: flex;
    max-width: 400px;
    height: 140px;
    padding: 20px;
    margin: 20px;
    justify-content: center;
    align-items: flex-start;
    flex-direction: row;
    border-radius: 30px;
    background: rgba(63, 63, 63, 0.103);
}

.work .box-container .box h2 {
    padding: 10px 10px 10px 20px;
    color: rgb(255, 66, 66);
    text-align: center;
}

.work .box-container .box p {
    padding: 10px 10px 10px 20px;
    text-align: justify;
    color: black;
    font-size: 18px;
}

.contact {
    width: 100%;
    margin-top: 50px;
    padding: 10px 0;
    background: rgba(0, 0, 0, 0.315);
}

.contact .box-container {
    display: grid;
    grid-template-columns: 50% 50%;
}

.contact .box-container .detail {
    color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
}

.contact .box-container .detail h2 {
    padding: 10px 70px;
    font-size: 36px;
}

.contact .box-container .detail p {
    padding: 10px 70px;
    font-size: 21px;
}

.contact .box-container .detail a {
    margin: 10px;
}

.contact .box-container .form {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.contact .box-container .form .box {
    padding: 10px;
    margin: 5px 0;
    color: black;
    background: transparent;
    border-bottom: 2px solid rgb(0, 174, 255);
    border-top: 2px solid transparent;
    border-left: 2px solid transparent;
    border-right: 2px solid transparent;
    width: 300px;
}

.contact .box-container .form .btn {
    width: 120px;
    padding: 4px 0;
    border-radius: 20px;
    border: 2px solid rgb(0, 174, 255);
    margin: 10px 0;
    background: transparent;
}

.contact .box-container .form .btn:hover {
    background: rgb(0, 174, 255);
}

.contact .box-container .container {
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact .box-container .morequeries {
    display: flex;
    flex-direction: column;
    background: black;
    justify-content: center;
    align-items: center;
    width: 60%;
    padding: 20px;
    border-radius: 20px;
    margin: 10px 0;
}

.contact .box-container .morequeries .phone {
    font-size: 18px;
    margin: 10px 0 5px 10px;
    padding: 5px 9px;
    border-radius: 50px;
    background: rgb(0, 174, 255);
    color: white;
    width: 11px;
}

.contact .box-container .morequeries .email {
    font-size: 18px;
    margin: 18px 0 5px 12px;
    padding: 5px 5px;
    border-radius: 50px;
    background: rgb(0, 174, 255);
    color: white;
    width: 18px;
}

.contact .box-container .morequeries .whats {
    font-size: 18px;
    margin: 18px 0 4px 12px;
    padding: 5px 7px;
    border-radius: 50px;
    background: rgb(0, 174, 255);
    color: white;
    width: 14px;
}

.contact .box-container .morequeries a {
    color: white;
    font-size: 18px;
    font-weight: bold;
}

.contact .box-container .morequeries a:hover {
    color: rgb(0, 174, 255);
}

.contact .box-container .detail .form .btn {
    color: black;
}

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    background: black;
    color: white;
    margin: 10px 0 0 0;
    min-height: 175px;
}

footer .box-container {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-direction: row;
    width: 100%;
}

footer .box-container .logo-container p {
    font-size: 22px;
}

footer .box-container .box {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

footer .box-container .box .morequeries a i {
    font-size: 18px;
    padding: 12px;
    margin: 0 2px;
    color: white;
    background: rgba(136, 136, 136, 0.644);
    border-radius: 50px;
}

footer .box-container .box .morequeries a i:hover {
    background: rgb(255, 45, 45);
    color: black;
}

footer .box-container .box .copyright {
    font-size: 18px;
    padding: 10px 0;
}

footer .box-container .box .copyright p a {
    color: white;
    font-size: 18px;
}

footer .box-container .box .copyright p a:hover {
    color: rgb(255, 66, 66);
}

footer .box-container .map-container {
    max-width: 280px;
    max-height: 150px;
}

footer .box-container .map-container iframe {
    max-width: 270px;
    max-height: 130px;
    border-radius: 20px;
    border: 2px solid rgb(255, 66, 66);
}

@media(max-width: 991px) {
    nav .navbar .morequeries {
        display: none;
    }
    .containers {
        display: grid;
        grid-template-columns: 68% 32%;
    }
    .work .box-container .box {
        max-width: 270px;
        height: 175px;
    }
    footer .box-container .logo-container p {
        font-size: 20px;
    }
    footer .box-container .box .copyright {
        font-size: 15px;
    }
    footer .box-container .map-container iframe {
        max-width: 220px;
    }
}

@media(max-width: 768px) {
    .home {
        height: 60vh;
    }
    .home-about {
        height: unset;
        display: flex;
        flex-direction: column;
        padding: 20px 0;
    }
    .containers {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .containers .boxes1 .box-container {
        display: flex;
        justify-content: center;
        flex-direction: unset;
        flex-wrap: wrap;
    }
    .containers .boxes1 {
        width: 99%;
        margin: 3px 0;
        border-radius: 30px;
    }
    footer .box-container {
        flex-direction: column;
    }
    footer .box-container .map-container {
        display: none;
    }
    footer .box-container .logo-container {
        padding: 25px 0;
    }
}

@media(max-width:650px) {
    nav .navbar .box-container {
        width: 100%;
    }
    .contact .box-container {
        display: flex;
        flex-direction: column;
    }
}

@media(max-width: 550px) {
    nav {
        position: fixed;
        width: 100;
        left: -100%;
        z-index: 997;
    }
    nav .navbar {
        max-width: 400px;
        height: 100vh;
        background: black;
        color: white;
    }
    nav .navbar .box-container {
        flex-direction: column;
        height: 90vh;
    }
    nav .navbar .morequeries {
        order: 3;
        display: flex;
    }
    nav .navbar .logo-container {
        order: 1;
        display: flex;
    }
    nav .navbar .menu {
        order: 2;
        flex-direction: column;
        justify-content: center;
        height: 100%;
    }
    nav .navbar .menu li a {
        justify-content: center;
        display: flex;
        background: rgba(80, 80, 80, 0.479);
        border-radius: 30px;
        width: 250px;
        margin: 5px 0;
        padding: 10px;
        color: white;
    }
    nav .navbar .menu li:hover a {
        background: rgb(236, 142, 20);
    }
    nav .navbar .menu li:hover a {
        color: black;
    }
    nav .navbar .logo img {
        padding: 10px 10px 0 0;
    }
    nav .navbar .morequeries i {
        color: white;
    }
    nav .navbar .menu li .sublinks {
        color: white;
    }
    .sub-link {
        margin: 0;
        background: black;
        padding: 0px 60px 0px 59px;
    }
    .sub-link .sub-cont1,
    .sub-cont2 {
        display: flex;
        min-width: 136px;
        text-align: center;
        padding: 5px 0px !important;
        color: white !important;
        border-radius: 50px;
        background: rgba(80, 80, 80, 0.479) !important;
        justify-content: center;
        align-items: center;
        z-index: 101;
    }
    .sub-link .sub-cont1:hover {
        background: rgb(236, 142, 20) !important;
        color: black !important;
    }
    .sub-link .sub-cont2:hover {
        background: rgb(236, 142, 20) !important;
        color: black !important;
    }
    .sub-link .sub-link1 {
        margin: 330px 0 0 0px;
        background: black;
        padding: 0px 13px;
    }
    .sub-link .sub-link1 a {
        padding: 5px 0 !important;
        background: rgba(80, 80, 80, 0.479) !important;
        margin: 2px !important;
        color: white !important;
    }
    .sub-link .sub-link1 a:hover {
        background: rgb(236, 142, 20) !important;
        color: black !important;
    }
    .sub-link .sub-cont2 .sub-link2 {
        margin: 285px 0 0 0px;
        background: black;
        padding: 0 9px;
    }
    .sub-link .sub-link2 a {
        background: rgba(80, 80, 80, 0.479) !important;
        margin: 2px !important;
        color: white !important;
    }
    .sub-link .sub-link2 a:hover {
        background: rgb(236, 142, 20) !important;
        color: black !important;
    }
    .sub-link .sub-cont2 .sub-link2 a {
        padding: 2px;
    }
    .sub-link .sub-cont1:hover span {
        opacity: 0;
    }
    .sub-link .sub-cont2:hover span {
        opacity: 0;
    }
    .menu-btn {
        position: fixed;
        font-size: 23px;
        top: 22px;
        color: white;
        right: 8%;
        padding: 3px 5px 1px 5px;
        background: black;
        border-radius: 5px;
        border: none;
        z-index: 998;
    }
    .cancel-btn {
        position: fixed;
        font-size: 23px;
        top: 22px;
        color: white;
        right: 8%;
        padding: 3px 5px 1px 5px;
        border-radius: 5px;
        background: black;
        border: none;
        z-index: 998;
    }
    .show-nav {
        left: 0;
    }
    .show-menu {
        display: block;
    }
    .home {
        height: 40vh;
    }
}

@media(max-width:450px) {
    .work .box-container .box {
        height: unset;
    }
}

@media(max-width:400px) {
    .home-about .img-container img {
        width: 300px;
        height: 300px;
        border-radius: 50px;
    }
    footer .box-container .box .copyright {
        font-size: 14px;
    }
    footer .box-container .box .copyright p a {
        font-size: 15px;
    }
}